import { TryToTransformStringInNumber } from '../../../shared/decorators/class-transformer/try-to-transform-string-in-number.decorator';

export class MealFoodDto {
  id: number;

  @TryToTransformStringInNumber()
  kcal: number;

  name: string;
  quantity: number;

  constructor(partial: Partial<MealFoodDto>) {
    Object.assign(this, partial);
  }
}
